Index: general.ent
===================================================================
--- general.ent	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ general.ent	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "19">                   <!-- Always 2 digits -->
+<!ENTITY day          "21">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2017">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 19th &year;">
+<!ENTITY releasedate  "June 21st &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: general/genlib/genlib.xml
===================================================================
--- general/genlib/genlib.xml	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ general/genlib/genlib.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -75,4 +75,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libatasmart.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libatomic_ops.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libblockdev.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libbytesize.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libcroco.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libdaemon.xml"/>
Index: general/genlib/libblockdev.xml
===================================================================
--- general/genlib/libblockdev.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
+++ general/genlib/libblockdev.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -0,0 +1,200 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libblockdev-download-http
+    "https://github.com/storaged-project/libblockdev/archive/libblockdev-&libblockdev-version;.tar.gz">
+  <!ENTITY libblockdev-download-ftp " ">
+  <!ENTITY libblockdev-md5sum        "2044f9a5be5678b3524efa7a6baa373f">
+  <!ENTITY libblockdev-size          "236 KB">
+  <!ENTITY libblockdev-buildsize     "10 MB">
+  <!ENTITY libblockdev-time          "0.2 SBU">
+]>
+
+<sect1 id="libblockdev" xreflabel="libblockdev-&libblockdev-version;">
+  <?dbhtml filename="libblockdev.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libblockdev-&libblockdev-version;</title>
+
+  <indexterm zone="libblockdev">
+    <primary sortas="a-libblockdev">libblockdev</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libblockdev</title>
+
+    <para>
+      libblockdev is a C library supporting GObject introspection for
+      manipulation of block devices. It has a plugin-based architecture where
+      each technology (like LVM, Btrfs, MD RAID, Swap,...) is implemented in a
+      separate plugin, possibly with multiple implementations (e.g. using LVM
+      CLI or the new LVM DBus API).
+    </para>
+
+    &lfs80_checked;
+    &gcc7_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libblockdev-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libblockdev-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libblockdev-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libblockdev-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libblockdev-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libblockdev-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">libblockdev Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="gobject-introspection"/>,
+      <xref linkend="libbytesize"/>,
+      <xref linkend="lvm2"/> (with device-mapper), and
+      <xref linkend="volume_key"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="python3"/>,
+      <xref linkend="nss"/>, and 
+      <xref linkend="cryptsetup"/> 
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="btrfs-progs"/>,
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="mdadm"/>,
+      <xref linkend="parted"/>,
+      <xref linkend="python2"/>,
+      <ulink url="http://dmraid.sourcearchive.com/">dmraid</ulink>, and 
+      <ulink url="http://bcachefs.org/">bcachefs</ulink>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libblockdev"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libblockdev</title>
+
+    <para>
+      Install <application>libblockdev</application> by running
+      the following commands:
+    </para>
+
+<screen><userinput>sh autogen.sh &amp;&amp;
+
+./configure --prefix=/usr \
+            --without-dm  \
+            --sysconfdir=/etc &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+<!--
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+
+  </sect2>
+-->
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libbd_btrfs.so, 
+          libbd_crypto.so,
+          libbd_fs.so, 
+          libbd_kbd.so,
+          libbd_loop.so,
+          libbd_lvm.so,
+          libbd_lvm-dbus.so,
+          libbd_mdraid.so,
+          libbd_mpath.so,
+          libbd_part.so,
+          libbd_part_err.so,
+          libbd_swap.so,
+          libbd_utils.so, and
+          libblockdev.so
+        </seg>
+        <seg>
+          /etc/libblockdev and
+          /usr/include/blockdev
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libblockdev.so">
+        <term><filename class="libraryfile">libblockdev.so</filename></term>
+        <listitem>
+          <para>
+            provides ????? - see intro
+          </para>
+          <indexterm zone="libblockdev libblockdev.so">
+            <primary sortas="c-libblockdev.so">libblockdev.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: general/genlib/libbytesize.xml
===================================================================
--- general/genlib/libbytesize.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
+++ general/genlib/libbytesize.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -0,0 +1,163 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY libbytesize-download-http "http://github.com/storaged-project/libbytesize/archive/libbytesize-0.10.tar.gz">
+  <!ENTITY libbytesize-download-ftp  " ">
+  <!ENTITY libbytesize-md5sum        "c3f050baea4d66f858802f8c423b68c7">
+  <!ENTITY libbytesize-size          "68 KB">
+  <!ENTITY libbytesize-buildsize     "2.8 MB">
+  <!ENTITY libbytesize-time          "less than 0.1 SBU">
+]>
+
+<sect1 id="libbytesize" xreflabel="libbytesize-&libbytesize-version;">
+  <?dbhtml filename="libbytesize.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>libbytesize-&libbytesize-version;</title>
+
+  <indexterm zone="libbytesize">
+    <primary sortas="a-libbytesize">libbytesize</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to libbytesize</title>
+
+    <para>
+      The <application>libbytesize</application> package is a library
+      facilitates the common operations with sizes in bytes.
+    </para>
+
+    &lfs80_checked;
+    &gcc7_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&libbytesize-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&libbytesize-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &libbytesize-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &libbytesize-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &libbytesize-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &libbytesize-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+   <bridgehead renderas="sect3">libbytesize Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="pcre2"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="gtk-doc"/>,
+      <xref linkend="python2"/>, 
+      <xref linkend="python3"/>, and 
+      <ulink url="https://pypi.python.org/pypi/six">six</ulink> 
+        (python module for tests)
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/libbytesize"/>
+    </para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of libbytesize</title>
+
+    <para>
+      Install <application>libbytesize</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>sh autogen.sh             &amp;&amp;
+./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      If you have the optional python module '<application>six</application>'
+      installed, the regression tests can be run with: <command>make check</command>.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          None
+        </seg>
+        <seg>
+          libbytesize.so
+        </seg>
+        <seg>
+          /usr/lib/python{2,3}/site-packages/bytesize
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+<!--
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="libbytesize-lib">
+        <term><filename class='libraryfile'>libbytesize.so</filename></term>
+        <listitem>
+          <para>
+            contains the ATA S.M.A.R.T API functions.
+          </para>
+          <indexterm zone="libbytesize libbytesize-lib">
+            <primary sortas="c-libbytesize">libbytesize.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+-->
+  </sect2>
+
+</sect1>
Index: general/sysutils/udisks2.xml
===================================================================
--- general/sysutils/udisks2.xml	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ general/sysutils/udisks2.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -7,7 +7,7 @@
   <!ENTITY udisks2-download-http "https://github.com/storaged-project/udisks/releases/download/udisks-&udisks2-version;/udisks-&udisks2-version;.tar.bz2">
   <!ENTITY udisks2-download-ftp  " ">
-  <!ENTITY udisks2-md5sum        "1e46bdb613cbbc2d175b9df71e43cae8">
+  <!ENTITY udisks2-md5sum        "6f4bb56daca7be136f6eb4832ad2b3a0">
   <!ENTITY udisks2-size          "1.2 MB">
-  <!ENTITY udisks2-buildsize     "33 MB (with tests)">
+  <!ENTITY udisks2-buildsize     "45 MB (with tests)">
   <!ENTITY udisks2-time          "0.3 SBU (with tests)">
 ]>
@@ -78,4 +78,5 @@
     <para role="required">
       <xref linkend="libatasmart"/>,
+      <xref linkend="libblockdev"/>,
       <xref linkend="libgudev"/>,
       <xref linkend="libxslt"/>, and
@@ -98,7 +99,6 @@
       <xref linkend="gtk-doc"/>,
       <xref linkend="lvm2"/>,
-      <xref linkend="ntfs-3g"/>,
-      <ulink url="https://github.com/sahlberg/libiscsi">libiscsi</ulink>, and
-      <ulink url="https://github.com/rhinstaller/libblockdev">libblockdev</ulink>
+      <xref linkend="ntfs-3g"/>, and
+      <ulink url="https://github.com/sahlberg/libiscsi">libiscsi</ulink>
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ introduction/welcome/changelog.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -43,4 +43,30 @@
 -->
     <listitem>
+      <para>June 21st, 2017</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add volume_key-0.3.9 as a required
+          dependency of libblockdev.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add libbytesize-0.10 as a required
+          depedency of libblockdev.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add cryptsetup-1.7.5 as a dependency of
+          libblockdev and required for udisks2.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Add libblockdev-2.9-1 as required depencency for 
+          udisks2-2.7.0.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to udisks2-2.7.0. Fixes
+          <ulink url="&blfs-ticket-root;9313">#9313</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 19th, 2017</para>
       <itemizedlist>
Index: packages.ent
===================================================================
--- packages.ent	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ packages.ent	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -12,4 +12,6 @@
 <!ENTITY consolekit-version           "1.0.2">
 <!ENTITY cracklib-version             "2.9.6">
+<!ENTITY cryptsetup-minor             "1.7">
+<!ENTITY cryptsetup-version           "&cryptsetup-minor;.5">
 <!ENTITY cyrus-sasl-version           "2.1.26">
 <!ENTITY gnupg2-version               "2.1.21">
@@ -44,4 +46,5 @@
 <!ENTITY sudo-version                 "1.8.20p2">
 <!ENTITY tripwire-version             "2.4.3.5">
+<!ENTITY volume_key-version           "0.3.9">
 
 <!-- Chapter 5 -->
@@ -122,4 +125,6 @@
 <!ENTITY libatasmart-version          "0.19">
 <!ENTITY libatomic_ops-version        "7.4.6">
+<!ENTITY libblockdev-version          "2.9-1">
+<!ENTITY libbytesize-version          "0.10">
 <!ENTITY libcroco-version             "0.6.12">
 <!ENTITY libdaemon-version            "0.14">
@@ -271,5 +276,5 @@
 <!ENTITY systemd-version              "233">
 <!ENTITY udisks-version               "1.0.5">    <!-- stable lt .90 micro version -->
-<!ENTITY udisks2-version              "2.6.5">    <!-- stable lt .90 micro version -->
+<!ENTITY udisks2-version              "2.7.0">    <!-- stable lt .90 micro version -->
 <!ENTITY unrar-version                "5.5.5">
 <!ENTITY unzip-version                "6.0">
Index: postlfs/security/cryptsetup.xml
===================================================================
--- postlfs/security/cryptsetup.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
+++ postlfs/security/cryptsetup.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -0,0 +1,218 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY cryptsetup-download-http "https://www.kernel.org/pub/linux/utils/cryptsetup/v&cryptsetup-minor;/cryptsetup-&cryptsetup-version;.tar.xz">
+  <!ENTITY cryptsetup-download-ftp  " ">
+  <!ENTITY cryptsetup-md5sum        "d2d668223e795dcf750da44dc3e7076b">
+  <!ENTITY cryptsetup-size          "1.2 MB">
+  <!ENTITY cryptsetup-buildsize     "12 MB">
+  <!ENTITY cryptsetup-time          "0.1 SBU (add 7.4 SBU for tests)">
+]>
+
+<sect1 id="cryptsetup" xreflabel="cryptsetup-&cryptsetup-version;">
+  <?dbhtml filename="cryptsetup.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>cryptsetup-&cryptsetup-version;</title>
+
+  <indexterm zone="cryptsetup">
+    <primary sortas="a-cryptsetup">cryptsetup</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to cryptsetup</title>
+
+    <para>
+      cryptsetup is used to set up transparent encryption of block devices
+      using the kernel crypto API. 
+    </para>
+
+    &lfs80_checked;
+    &gcc7_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&cryptsetup-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&cryptsetup-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &cryptsetup-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &cryptsetup-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &cryptsetup-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &cryptsetup-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">cryptsetup Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="libgcrypt"/>, 
+      <xref linkend="nettle"/>,
+      <xref linkend="nss"/>,
+      <xref linkend="openssl"/>,
+      <xref linkend="popt"/>
+    </para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="libpwquality"/>,
+      <xref linkend="lvm2"/>,
+      <xref linkend="python2"/>, and
+      <ulink url="http://www.openwall.com/passwdqc/">passwdqc</ulink>
+    </para>
+
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/cryptsetup"/>
+    </para>
+  </sect2>
+
+  <sect2 role="kernel" id="cryptsetup-kernel">
+    <title>Kernel Configuration</title>
+
+    <para>
+      Encrypted block devies require kernel support.  To use it, the
+      appropriate kernel configuration parameters need to be set:
+    </para>
+
+<screen><literal>Device Drivers  ---&gt;          
+  [*] Multiple devices driver support (RAID and LVM) ---&gt; [CONFIG_MD]
+       &lt;*/M&gt; Device mapper support                        [CONFIG_BLK_DEV_DM]
+       &lt;*/M&gt; Crypt target support                         [CONFIG_DM_CRYPT]
+
+Cryptographic API  ---&gt;                                    
+  &lt;*/M&gt; XTS support                                       [CONFIG_CRYPTO_XTS]
+  &lt;*/M&gt; SHA224 and SHA256 digest algorithm                [CONFIG_CRYPTO_SHA256]
+  &lt;*/M&gt; AES cipher algorithms                             [CONFIG_CRYPTO_AES]
+  &lt;*/M&gt; AES cipher algorithms (x86_64)                    [CONFIG_CRYPTO_AES_X86_64] 
+  &lt;*/M&gt; User-space interface for symmetric key cipher algorithms
+                                                          [CONFIG_CRYPTO_USER_API_SKCIPHER]
+  For tests:
+  &lt;*/M&gt; Twofish cipher algorithm                          [CONFIG_CRYPTO_TWOFISH]</literal></screen>
+
+    <indexterm zone="cryptsetup cryptsetup-kernel">
+      <primary sortas="d-cryptsetup">cryptsetup</primary>
+    </indexterm>
+
+  </sect2>
+
+    <sect2 role="installation">
+      <title>Installation of cryptsetup</title>
+
+    <para>
+      Install <application>cryptsetup</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      To test the result, issue as the <systemitem
+      class="username">root</systemitem> user: <command>make check</command>
+    </para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+
+  <sect2 role="configuration">
+    <title>Configuring cryptsetup</title>
+
+    <para>
+      Introductory instructions for configuring encrypted block
+      devices TBD.
+    </para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          cryptsetup and 
+          veritysetup
+        </seg>
+        <seg>
+          libcryptsetup.so
+        </seg>
+        <seg>
+          None          
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="cryptsetup-prog">
+        <term><command>cryptsetup</command></term>
+        <listitem>
+          <para>
+             is used to setup dm-crypt managed device-mapper mappings.
+          </para>
+          <indexterm zone="cryptsetup cryptsetup-prog">
+            <primary sortas="b-cryptsetup">cryptsetup</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="veritysetup">
+        <term><command>veritysetup</command></term>
+        <listitem>
+          <para>
+             is used to configure dm-verity managed device-mapper mappings.
+             Device-mapper verity target provides read-only transparent integrity
+             checking of block devices using kernel crypto API.
+          </para>
+          <indexterm zone="cryptsetup veritysetup">
+            <primary sortas="b-veritysetup">veritysetup</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>
Index: postlfs/security/security.xml
===================================================================
--- postlfs/security/security.xml	(revision dc2c14033a37bcca78aebc005dae6149a2c16a5f)
+++ postlfs/security/security.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -48,4 +48,5 @@
 
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cracklib.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cryptsetup.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="cyrus-sasl.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="gnupg2.xml"/>
@@ -75,4 +76,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="sudo.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="tripwire.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="volume_key.xml"/>
 
 </chapter>
Index: postlfs/security/volume_key.xml
===================================================================
--- postlfs/security/volume_key.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
+++ postlfs/security/volume_key.xml	(revision 6dcb9e77a9811b0109c693a9ff0f8e44759158de)
@@ -0,0 +1,188 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY volume_key-download-http "https://github.com/volume_key/volume_key/releases/download/volume_key-&volume_key-version;/volume_key-&volume_key-version;.tar.bz2">
+  <!ENTITY volume_key-download-ftp  " ">
+  <!ENTITY volume_key-md5sum        "ce18e96706c04d3a54f0988d1c199cd4">
+  <!ENTITY volume_key-size          "176 KB">
+  <!ENTITY volume_key-buildsize     "10.5 MB">
+  <!ENTITY volume_key-time          "0.1 SBU">
+]>
+
+<sect1 id="volume_key" xreflabel="volume_key-&volume_key-version;">
+  <?dbhtml filename="volume_key.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy: fernando $</othername>
+    <date>$Date: 2015-09-25 08:48:24 -0500 (Fri, 25 Sep 2015) $</date>
+  </sect1info>
+
+  <title>volume_key-&volume_key-version;</title>
+
+  <indexterm zone="volume_key">
+    <primary sortas="a-volume_key">volume_key</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to volume_key</title>
+
+    <para>
+      The <application>volume_key</application> package provides 
+      a library for manipulating storage volume encryption keys and storing 
+      them separately from volumes to handle forgotten passphrases.
+    </para>
+
+    &lfs80_checked;
+    &gcc7_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&volume_key-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&volume_key-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &volume_key-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &volume_key-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &volume_key-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &volume_key-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+   <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/volume_key-&volume_key-version;-modernize-1.patch"/>
+       </para>
+      </listitem>
+    </itemizedlist>
+
+<!-- As of June 2017, this package has not be updated since 2009, at least
+as a released version.  The patch brings the package up to speed. -->
+    
+    <bridgehead renderas="sect3">volume_key Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required">
+      <xref linkend="glib2"/>,
+      <xref linkend="gpgme"/>, and
+      <xref linkend="swig"/>
+    </para>
+
+    <bridgehead renderas="sect4">Recommended</bridgehead>
+    <para role="recommended">
+      <xref linkend="python3"/>
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/volume_key"/>
+    </para>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of volume_key</title>
+
+    <para>
+      Install <application>volume_key</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../volume_key-&volume_key-version;-modernize-1.patch &amp;&amp;
+
+autoreconf -fiv &amp;&amp;
+
+./configure --prefix=/usr &amp;&amp;
+make PYTHON=python3</userinput></screen>
+
+    <para>
+      This package does not come with a functioning test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Program</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directory</segtitle>
+
+      <seglistitem>
+        <seg>
+          volume_key
+        </seg>
+        <seg>
+          libvolume_key.so
+        </seg>
+        <seg>
+          /usr/include/volume_key
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="volume_key-prog">
+        <term><command>volume_key</command></term>
+        <listitem>
+          <para>
+            manages encrypted volume keys and passphrases.
+          </para>
+          <indexterm zone="volume_key volume_key-prog">
+            <primary sortas="b-volume_key">volume_key</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="volume_key-lib">
+        <term><filename class="libraryfile">volume_key.so</filename></term>
+        <listitem>
+          <para>
+            contains API functions for managing encrypted volume keys.
+          </para>
+          <indexterm zone="volume_key volume_key-lib">
+            <primary sortas="c-volume_key">volume_key.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>