Index: general.ent
===================================================================
--- general.ent	(revision 9f4cb5913b521ea09de8f25946cdbd2b03187896)
+++ general.ent	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
@@ -4,5 +4,5 @@
 -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "11">                   <!-- Always 2 digits -->
 <!ENTITY month        "06">                   <!-- Always 2 digits -->
 <!ENTITY year         "2012">
@@ -10,5 +10,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "June 9th, &year;">
+<!ENTITY releasedate  "June 11th, &year;">
 <!-- <!ENTITY releasedate  "November &day;st, &year;"> -->
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
@@ -665,5 +665,5 @@
 <!ENTITY startup-notification-version "0.12">
 <!ENTITY webkitgtk-version            "1.8.1">
-<!ENTITY xulrunner-version            "13.0"> 
+<!ENTITY xulrunner-version            "13.0">
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
@@ -681,5 +681,5 @@
 <!ENTITY kde-download-http           "http://mirrors.isc.org/pub/kde/stable/">
 <!ENTITY kde-download-ftp            "ftp://ftp.kde.org/pub/kde/stable/">
-<!ENTITY kde-dir-var                 "KDE4_PREFIX"> 
+<!ENTITY kde-dir-var                 "KDE4_PREFIX">
 <!ENTITY kde-dir                     "$&kde-dir-var;">
 <!ENTITY automoc4-version             "0.9.88">
@@ -1043,4 +1043,5 @@
 
 <!-- Chapter 40 -->
+<!ENTITY dvb-apps-version             "2012-06-10">
 <!ENTITY ffmpeg-version               "0.10.3">
 <!-- <!ENTITY avifile-version              "0.7.45"> -->
@@ -1051,5 +1052,5 @@
 
 <!-- Chapter 41 -->
-<!ENTITY cdrtools-version             "3.00"> 
+<!ENTITY cdrtools-version             "3.00">
 <!ENTITY cdrdao-version               "1.2.3">
 <!ENTITY udftools-version             "1.0.0b3">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 9f4cb5913b521ea09de8f25946cdbd2b03187896)
+++ introduction/welcome/changelog.xml	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
@@ -43,4 +43,13 @@
 -->
     <listitem>
+      <para>June 11th, 2012</para>
+      <itemizedlist>
+        <listitem>
+          <para>[abenton] - Added DVB Apps 2012-06-10.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>June 9th, 2012</para>
       <itemizedlist>
@@ -109,5 +118,5 @@
       </itemizedlist>
     </listitem>
-    
+
     <listitem>
       <para>June 6th, 2012</para>
@@ -187,5 +196,5 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Reordered xfce core packages. Added 
+          <para>[bdubbs] - Reordered xfce core packages. Added
           dbus instructions to xfce4-session.  Fixes
           <ulink url="&blfs-ticket-root;3384">#3384</ulink>.</para>
@@ -714,5 +723,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Added bzr-2.5.0.  Fixes 
+          <para>[bdubbs] - Added bzr-2.5.0.  Fixes
           <ulink url="&blfs-ticket-root;2562">#2562</ulink>.</para>
         </listitem>
@@ -1006,5 +1015,5 @@
           <para>[krejzi] - Empathy 3.4.1.</para>
         </listitem>
-        <listitem> 
+        <listitem>
           <para>[krejzi] - Epiphany 3.4.1.</para>
         </listitem>
@@ -1100,9 +1109,9 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Updated to mc-4.8.3. Fixes 
+          <para>[bdubbs] - Updated to mc-4.8.3. Fixes
           <ulink url="&blfs-ticket-root;2931">#2931</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Added Mercurial 2.1.2. Fixes 
+          <para>[rthomsen] - Added Mercurial 2.1.2. Fixes
           <ulink url="&blfs-ticket-root;2451">#2451</ulink>.</para>
         </listitem>
@@ -1243,5 +1252,5 @@
       <itemizedlist>
         <listitem>
-          <para>[rthomsen] - Update to libarchive 3.0.3. Fixes 
+          <para>[rthomsen] - Update to libarchive 3.0.3. Fixes
           <ulink url="&blfs-ticket-root;3323">#3323</ulink>.</para>
         </listitem>
@@ -1296,14 +1305,14 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Update to qpopper 4.1.0. Fixes 
+          <para>[bdubbs] - Update to qpopper 4.1.0. Fixes
           <ulink url="&blfs-ticket-root;2760">#2760</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[bdubbs] - Update to subversion 1.7.4. Fixes 
+          <para>[bdubbs] - Update to subversion 1.7.4. Fixes
           <ulink url="&blfs-ticket-root;3305">#3305</ulink>.</para>
         </listitem>
         <listitem>
           <para>[bdubbs] - Add cifs to stop procedure in nfs-server
-          boot script.  Fixes 
+          boot script.  Fixes
           <ulink url="&blfs-ticket-root;3295">#3295</ulink>.</para>
         </listitem>
@@ -1313,10 +1322,10 @@
         </listitem>
         <listitem>
-          <para>[rthomsen] - Removed several Perl modules and updated the 
-          remaining modules to most recent versions. Fixes 
+          <para>[rthomsen] - Removed several Perl modules and updated the
+          remaining modules to most recent versions. Fixes
           <ulink url="&blfs-ticket-root;2649">#2649</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Removed PDL. Fixes 
+          <para>[rthomsen] - Removed PDL. Fixes
           <ulink url="&blfs-ticket-root;2141">#2141</ulink>.</para>
         </listitem>
@@ -1489,17 +1498,17 @@
       <itemizedlist>
         <listitem>
-          <para>[rthomsen] - Upgrade to mpg123 1.13.8. Fixes 
+          <para>[rthomsen] - Upgrade to mpg123 1.13.8. Fixes
           <ulink url="&blfs-ticket-root;3311">#3311</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Replace the use of the $QT4DIR variable with 
+          <para>[rthomsen] - Replace the use of the $QT4DIR variable with
           $QTDIR, since only one version of Qt is currently in the book.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Added sed for compiling Qca with GCC 4.7. Thanks 
+          <para>[rthomsen] - Added sed for compiling Qca with GCC 4.7. Thanks
           to Pierre Labastie for the report.</para>
         </listitem>
    <listitem>
-          <para>[rthomsen] - Added sed for compiling Strigi with GCC 4.7. Thanks 
+          <para>[rthomsen] - Added sed for compiling Strigi with GCC 4.7. Thanks
           to Pierre Labastie for the report.</para>
         </listitem>
@@ -1508,13 +1517,13 @@
    </listitem>
         <listitem>
-          <para>[rthomsen] - Upgrade to Soprano 2.7.5. Fixes 
+          <para>[rthomsen] - Upgrade to Soprano 2.7.5. Fixes
           <ulink url="&blfs-ticket-root;3318">#3318</ulink>.</para>
    </listitem>
    <listitem>
-          <para>[rthomsen] - Added KDE configuration for the system-wide D-Bus 
+          <para>[rthomsen] - Added KDE configuration for the system-wide D-Bus
           daemon.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Fixed dependencies for VLC, Qt and Qca. Thanks 
+          <para>[rthomsen] - Fixed dependencies for VLC, Qt and Qca. Thanks
            to Pierre Labastie for the report.</para>
         </listitem>
@@ -1549,5 +1558,5 @@
           <para>[bdubbs] - Update to wireshark-1.6.5.  Add instructions
           to restrict use to authorized users.
-          Fixes 
+          Fixes
           <ulink url="&blfs-ticket-root;2816">#2815</ulink> and
           <ulink url="&blfs-ticket-root;2911">#2911</ulink>.</para>
@@ -1555,5 +1564,5 @@
         <listitem>
           <para>[bdubbs] - Fix screen to use the LFS value for gid.
-          Fixes 
+          Fixes
           <ulink url="&blfs-ticket-root;3268">#3268</ulink>.</para>
         </listitem>
@@ -1572,5 +1581,5 @@
         <listitem>
           <para>[bdubbs] - Update mysql configuration to not
-          create binary logs.  Fixes 
+          create binary logs.  Fixes
           <ulink url="&blfs-ticket-root;3230">#3230</ulink>.</para>
         </listitem>
@@ -1589,9 +1598,9 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Update network service scripts to be consistent 
+          <para>[bdubbs] - Update network service scripts to be consistent
           with LFS changes.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Upgrade to CMake 2.8.7. Fixes 
+          <para>[rthomsen] - Upgrade to CMake 2.8.7. Fixes
           <ulink url="&blfs-ticket-root;3322">#3322</ulink>.</para>
         </listitem>
@@ -1607,5 +1616,5 @@
       <itemizedlist>
         <listitem>
-          <para>[rthomsen] - Corrected Qt configuration. Thanks to Pierre 
+          <para>[rthomsen] - Corrected Qt configuration. Thanks to Pierre
           Labastie for the report.</para>
         </listitem>
@@ -1643,10 +1652,10 @@
       <itemizedlist>
    <listitem>
-          <para>[rthomsen] - Added wicd 1.7.1. Fixes 
+          <para>[rthomsen] - Added wicd 1.7.1. Fixes
      <ulink url="&blfs-ticket-root;3293">#3293</ulink>.</para>
         </listitem>
         <listitem>
-          <para>[rthomsen] - Upgrade to dhcpcd 5.5.6 and improve the dhcpcd 
-          network service script to provide a cleaner boot message. Fixes 
+          <para>[rthomsen] - Upgrade to dhcpcd 5.5.6 and improve the dhcpcd
+          network service script to provide a cleaner boot message. Fixes
           <ulink url="&blfs-ticket-root;3290">#3290</ulink>.</para>
         </listitem>
@@ -1685,7 +1694,7 @@
       <itemizedlist>
         <listitem>
-          <para>[rthomsen] - Upgrade to Virtuoso 6.1.5. Fixes 
+          <para>[rthomsen] - Upgrade to Virtuoso 6.1.5. Fixes
           <ulink url="&blfs-ticket-root;3317">#3317</ulink>.</para>
-        </listitem>  
+        </listitem>
       </itemizedlist>
     </listitem>
@@ -1695,7 +1704,7 @@
       <itemizedlist>
         <listitem>
-          <para>[rthomsen] - Upgrade to Qt 4.8.1 and add two patches. Fixes 
+          <para>[rthomsen] - Upgrade to Qt 4.8.1 and add two patches. Fixes
           <ulink url="&blfs-ticket-root;3320">#3320</ulink>.</para>
-        </listitem>  
+        </listitem>
         <listitem>
           <para>[dj] - Xorg Applicatons require MesaLib. Fixes #3218.</para>
@@ -1837,5 +1846,5 @@
         </listitem>
         <listitem>
-          <para>[krejzi] - glib 2.32.0.</para> 
+          <para>[krejzi] - glib 2.32.0.</para>
         </listitem>
       </itemizedlist>
@@ -1874,5 +1883,5 @@
       <itemizedlist>
         <listitem>
-          <para>[bdubbs] - Removed pilot-link.  
+          <para>[bdubbs] - Removed pilot-link.
           Closes <ulink url="&blfs-ticket-root;2738">#2738</ulink>.</para>
         </listitem>
@@ -1950,5 +1959,5 @@
         <listitem>
           <para>[rthomsen] - Removed kdetoys, kdegames, kdeedu and kdeaccessibility.</para>
-        </listitem>  
+        </listitem>
          <listitem>
           <para>[rthomsen] - Added instructions for starting KDE4.</para>
@@ -2027,5 +2036,5 @@
       </itemizedlist>
     </listitem>
-    
+
     <listitem>
       <para>March 22nd, 2012</para>
@@ -2226,5 +2235,5 @@
       </itemizedlist>
     </listitem>
-    
+
     <listitem>
       <para>March 9th, 2012</para>
@@ -2244,5 +2253,5 @@
       </itemizedlist>
     </listitem>
-    
+
     <listitem>
       <para>March 8th, 2012</para>
@@ -2902,5 +2911,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Update ca-cert scripts.  Account for 
+          <para>[bdubbs] - Update ca-cert scripts.  Account for
           changed upstream format and ensure date command works
           for all systems.</para>
@@ -2950,5 +2959,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Update to dhcp-4.2.3-P2.  Fix instructions to 
+          <para>[bdubbs] - Update to dhcp-4.2.3-P2.  Fix instructions to
           install needed dhclient-script. Fixes
           <ulink url="&blfs-ticket-root;3273">#3273</ulink>.</para>
@@ -2958,5 +2967,5 @@
         </listitem>
         <listitem>
-          <para>[bdubbs] - Minor updates to firewall script. Fixes 
+          <para>[bdubbs] - Minor updates to firewall script. Fixes
           <ulink url="&blfs-ticket-root;2813">#2813</ulink>.</para>
         </listitem>
Index: multimedia/videoutils/dvb-apps.xml
===================================================================
--- multimedia/videoutils/dvb-apps.xml	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
+++ multimedia/videoutils/dvb-apps.xml	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
@@ -0,0 +1,589 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!-- Place this in the general.ent file
+  <!ENTITY dvb-apps-version "">
+  -->
+
+  <!ENTITY dvb-apps-download-http
+    "http://www.linuxfromscratch.org/~andy/dvb-apps-2012-06-10.tar.xz">
+  <!ENTITY dvb-apps-download-ftp  " ">
+  <!ENTITY dvb-apps-md5sum        "6102338db203f9808b433d513e648f8e">
+  <!ENTITY dvb-apps-size          "368 MB">
+  <!ENTITY dvb-apps-buildsize     "17 MB">
+  <!ENTITY dvb-apps-time          "0.1 SBU">
+]>
+
+<sect1 id="dvb-apps" xreflabel="dvb-apps-&dvb-apps-version;">
+  <?dbhtml filename="dvb-apps.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>DVB-Apps-&dvb-apps-version;</title>
+
+  <indexterm zone="dvb-apps">
+    <primary sortas="a-dvb-apps">dvb-apps</primary>
+  </indexterm>
+
+  <!--Required section-->
+  <sect2 role="package">
+    <title>Introduction to DVB-Apps</title>
+
+    <para>
+      The <application>DVB-Apps</application> package contains a collection of
+      command line utilities for controlling and using a digital television
+      card/chip installed (possibly through a USB port) on your computer. These
+      are useful for scanning to make an index of the available channels, tuning
+      the chip to a chosen station or recording the channel to a file on your
+      computer so you can watch it at a later date.
+    </para>
+
+    &lfs71_checked;
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Download (HTTP): <ulink url="&dvb-apps-download-http;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download (FTP): <ulink url="&dvb-apps-download-ftp;"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download MD5 sum: &dvb-apps-md5sum;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Download size: &dvb-apps-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated disk space required: &dvb-apps-buildsize;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Estimated build time: &dvb-apps-time;
+        </para>
+      </listitem>
+    </itemizedlist>
+
+    <para condition="html" role="usernotes">
+      User Notes: <ulink url="&blfs-wiki;/dvb-apps"/>
+    </para>
+  </sect2>
+
+  <sect2 role="kernel" id="dvb-apps-kernel">
+    <title>Kernel Configuration</title>
+
+    <para>
+      There are many TV chips available so it is not possible to give guidance
+      on the kernel config for all of them. <command>lspci</command> from
+      <xref linkend="pciutils"/> and Goggle are your friends. One possible
+      gotcha is that some pci cards (such as the <ulink
+      url="http://www.amazon.co.uk/Hauppauge-WinTV-Nova-digital-tuner/dp/B000I1RHWA">
+      Hauppauge Nova T 500</ulink>) present themselves to the motherboard as a
+      USB controller and the TV chip on the card communicates with the
+      motherboard via this USB interface.
+    </para>
+
+<screen>General setup  ---&gt;
+  [*] Prompt for development and/or incomplete code/drivers
+Device Drivers  ---&gt;
+  Generic Driver Options  ---&gt;
+    [*] Userspace firmware loading support
+    [*]   Include in-kernel firmware blobs in kernel binary
+    (list of)    External firmware blobs to build into the kernel binary
+    (/lib/firmware) Firmware blobs root directory
+  [*] I2C support  ---&gt;
+    [*]   I2C device interface
+    I2C Algorithms  ---&gt;
+      [*] I2C bit-banging interfaces
+  [*] Multimedia support  ---&gt;
+    [*]   Video For Linux
+    [*]   DVB for Linux
+    [*]     DVB Network Support
+    [*]   Video capture adapters  ---&gt;
+      [*]   V4L USB devices  ---&gt;
+      (as required depending on your hardware)
+      [*]   V4L PCI(e) devices  ---&gt;
+      (as required depending on your hardware)
+    [*]   DVB/ATSC adapters  ---&gt;
+    (as required depending on your hardware)</screen>
+
+    <para>
+      Select the appropriate sub-options that appear when the above options are
+      selected and recompile your kernel.
+    </para>
+
+    <indexterm zone="dvb-apps dvb-apps-kernel">
+      <primary sortas="d-dvb-apps">dvb-apps</primary>
+    </indexterm>
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of DVB-Apps</title>
+
+    <para>
+      Install <application>DVB-Apps</application> by running the following
+      commands:
+    </para>
+
+<screen><userinput>sed -i 's/ $(lib_name).a//' Make.rules &amp;&amp;
+sed -i 's/\.a/.so/g' test/*/Makefile &amp;&amp;
+make</userinput></screen>
+
+    <para>
+      This package does not come with a test suite.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
+    </para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para>
+      <command>sed -i 's/ $(lib_name).a//' Make.rules</command> and
+      <command>sed -i 's/\.a/.so/g' test/*/Makefile</command>: These seds
+      disable compiling the static libraries.
+    </para>
+  </sect2>
+
+  <sect2 role="configuration">
+    <title>Configuring DVB-Apps</title>
+
+    <sect3 id="dvb-apps-config">
+      <title>Config Files</title>
+      <para>
+        <filename>~/.tzap/channels.conf</filename> and
+        <filename>/etc/channels.conf</filename>.
+      </para>
+
+      <indexterm zone="dvb-apps dvb-apps-config">
+        <primary sortas="e-home.tzap-channels.conf">~/.tzap/channels.conf</primary>
+      </indexterm>
+
+      <indexterm zone="dvb-apps dvb-apps-config">
+        <primary
+        sortas="e-etc-channels.conf">/etc/channels.conf</primary>
+      </indexterm>
+    </sect3>
+
+    <sect3><title>Configuration Information</title>
+
+      <para>
+        For a user to be able to use the device files in /dev the simplest
+        solution is to make the user part of the video group. As the
+        <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>usermod -a -G video &lt;USERNAME&gt; </userinput></screen>
+
+      <para>
+        Create a channels.conf file listing the channels available from your
+        local transmitter. If it's a terrestrial transmitter there should be a
+        file with its details in /usr/share/dvb/dvb-t. If it's a satellite the
+        file should be in /usr/share/dvb/dvb-s.
+      </para>
+
+<screen><userinput>scan /usr/share/dvb/dvb-t/uk-WinterHill > channels.conf &amp;&amp;
+mkdir -p ~/.tzap &amp;&amp;
+cp channels.conf ~/.tzap</userinput></screen>
+
+      <para>
+        If that went Ok and you saw some familiar TV channels listed in your
+        terminal, as the <systemitem class="username">root</systemitem> user
+        copy it to a system wide location:
+      </para>
+
+<screen role="root"><userinput>cp channels.conf /etc/channels.conf</userinput></screen>
+    </sect3>
+  </sect2>
+
+  <sect2 role="using">
+    <title>Using DVB-Apps</title>
+
+    <para>
+      To record a channel to a file:
+    </para>
+
+<screen><userinput>gnutv -out file bbc1.mpeg "BBC ONE"</userinput></screen>
+
+    <para>
+      If you give it ten seconds or so to buffer you can then start to watch the
+      file with a video player such as <command>xine</command> or
+      <command>mplayer</command>. The advantage of watching TV via a file in
+      this way is that it allows you to pause playback and rewind if you want,
+      plus you can watch the file again later.
+    </para>
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>
+          atsc_epg,
+          av7110_loadkeys,
+          azap,
+          czap,
+          dib3000-watch,
+          dst_test,
+          dvbdate,
+          dvbnet,
+          dvbscan,
+          dvbtraffic,
+          femon,
+          gnutv,
+          gotox,
+          lsdvb,
+          scan,
+          szap,
+          tzap and
+          zap,
+        </seg>
+        <seg>
+          libdvbapi.so,
+          libdvbcfg.so,
+          libdvben50221.so,
+          libdvbsec.so and
+          libesg.so,
+          libucsi.so
+        </seg>
+        <seg>
+          /usr/include/libdvbapi,
+          /usr/include/libdvbcfg,
+          /usr/include/libdvben50221,
+          /usr/include/libdvbsec,
+          /usr/include/libesg,
+          /usr/include/libucsi and
+          /usr/share/dvb
+        </seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="atsc_epg">
+        <term><command>atsc_epg</command></term>
+        <listitem>
+          <para>
+            prints out the next three hours worth of programs on a given
+            frequency (for ATSC only)
+          </para>
+          <indexterm zone="dvb-apps atsc_epg">
+            <primary sortas="b-atsc_epg">atsc_epg</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="av7110_loadkeys">
+        <term><command>av7110_loadkeys</command></term>
+        <listitem>
+          <para>
+            is a utiltity to load IR remote keymaps into an av7110 based card
+          </para>
+          <indexterm zone="dvb-apps av7110_loadkeys">
+            <primary sortas="b-av7110_loadkeys">av7110_loadkeys</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="azap">
+        <term><command>azap</command></term>
+        <listitem>
+          <para>
+            is a tuning utility for ATSC
+          </para>
+          <indexterm zone="dvb-apps azap">
+            <primary sortas="b-azap">azap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="czap">
+        <term><command>czap</command></term>
+        <listitem>
+          <para>
+            is a tuning utilities for DVB-C (cable)
+          </para>
+          <indexterm zone="dvb-apps czap">
+            <primary sortas="b-czap">czap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dib3000-watch">
+        <term><command>dib3000-watch</command></term>
+        <listitem>
+          <para>
+            is a tool to monitor DIB3000 demodulators
+          </para>
+          <indexterm zone="dvb-apps dib3000-watch">
+            <primary sortas="b-dib3000-watch">dib3000-watch</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dst_test">
+        <term><command>dst_test</command></term>
+        <listitem>
+          <para>
+            is a utility for DST based cards
+          </para>
+          <indexterm zone="dvb-apps dst_test">
+            <primary sortas="b-dst_test">dst_test</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dvbdate">
+        <term><command>dvbdate</command></term>
+        <listitem>
+          <para>
+            is a utility that can read date time information from the currently
+            tuned multiplex
+          </para>
+          <indexterm zone="dvb-apps dvbdate">
+            <primary sortas="b-dvbdate">dvbdate</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dvbnet">
+        <term><command>dvbnet</command></term>
+        <listitem>
+          <para>
+            is a utility to control digital data network interfaces, a DVB
+            network interface manager (IP over DVB) for streaming programs from
+            one computer to another over a network.
+          </para>
+          <indexterm zone="dvb-apps dvbnet">
+            <primary sortas="b-dvbnet">dvbnet</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dvbscan">
+        <term><command>dvbscan</command></term>
+        <listitem>
+          <para>
+            is another frequency scanning tool used to generate channel lists
+          </para>
+          <indexterm zone="dvb-apps dvbscan">
+            <primary sortas="b-dvbscan">dvbscan</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="dvbtraffic">
+        <term><command>dvbtraffic</command></term>
+        <listitem>
+          <para>
+            is a utility to monitor traffic on a digital device and perform PID
+            analysis of currently tuned multiplex
+          </para>
+          <indexterm zone="dvb-apps dvbtraffic">
+            <primary sortas="b-dvbtraffic">dvbtraffic</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="femon">
+        <term><command>femon</command></term>
+        <listitem>
+          <para>
+            is a frontend monitor, it monitors the tuning status on a digital TV
+            device
+          </para>
+          <indexterm zone="dvb-apps femon">
+            <primary sortas="b-femon">femon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gnutv">
+        <term><command>gnutv</command></term>
+        <listitem>
+          <para>
+            is a utility to tune and stream your TV
+          </para>
+          <indexterm zone="dvb-apps gnutv">
+            <primary sortas="b-gnutv">gnutv</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="gotox">
+        <term><command>gotox</command></term>
+        <listitem>
+          <para>
+            is a utility for calculating the position of satellites
+          </para>
+          <indexterm zone="dvb-apps gotox">
+            <primary sortas="b-gotox">gotox</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="lsdvb">
+        <term><command>lsdvb</command></term>
+        <listitem>
+          <para>
+            is a simple utility to list PCI/PCIe DVB devices
+          </para>
+          <indexterm zone="dvb-apps lsdvb">
+            <primary sortas="b-lsdvb">lsdvb</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="scan">
+        <term><command>scan</command></term>
+        <listitem>
+          <para>
+            is a utility to generate channel lists
+          </para>
+          <indexterm zone="dvb-apps scan">
+            <primary sortas="b-scan">scan</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="szap">
+        <term><command>szap</command></term>
+        <listitem>
+          <para>
+            is a tool to tune a satellite DVB receiver
+          </para>
+          <indexterm zone="dvb-apps szap">
+            <primary sortas="b-szap">szap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="tzap">
+        <term><command>tzap</command></term>
+        <listitem>
+          <para>
+            is a tool to tune a terrestrial DVB receiver
+          </para>
+          <indexterm zone="dvb-apps tzap">
+            <primary sortas="b-tzap">tzap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="zap">
+        <term><command>zap</command></term>
+        <listitem>
+          <para>
+            just tunes a digital device (and is really intended for developers)
+          </para>
+          <indexterm zone="dvb-apps zap">
+            <primary sortas="b-zap">zap</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libdvbapi">
+        <term><filename class="libraryfile">libdvbapi.so</filename></term>
+        <listitem>
+          <para>
+            is an interface library for digital TV devices
+          </para>
+          <indexterm zone="dvb-apps libdvbapi">
+            <primary sortas="c-libdvbapi">libdvbapi.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libdvbcfg">
+        <term><filename class="libraryfile">libdvbcfg.so</filename></term>
+        <listitem>
+          <para>
+            contains functions that parse/create digital TV channel
+            configuration files
+          </para>
+          <indexterm zone="dvb-apps libdvbcfg">
+            <primary sortas="c-libdvbcfg">libdvbcfg.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libdvben50221">
+        <term><filename class="libraryfile">libdvben50221.so</filename></term>
+        <listitem>
+          <para>
+            contains functions that implement the CENELEC (European Committee
+            for Electrotechnical Standardization) EN 50221 CAM stack
+          </para>
+          <indexterm zone="dvb-apps libdvben50221">
+            <primary sortas="c-libdvben50221">libdvben50221.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libdvbsec">
+        <term><filename class="libraryfile">libdvbsec.so</filename></term>
+        <listitem>
+          <para>
+            is a library for Satellite Equipment Control operations
+          </para>
+          <indexterm zone="dvb-apps libdvbsec">
+            <primary sortas="c-libdvbsec">libdvbsec.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libesg">
+        <term><filename class="libraryfile">libesg.so</filename></term>
+        <listitem>
+          <para>
+            contains functions for an Electronic Service Guide parser
+          </para>
+          <indexterm zone="dvb-apps libesg">
+            <primary sortas="c-libesg">libesg.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="libucsi">
+        <term><filename class="libraryfile">libucsi.so</filename></term>
+        <listitem>
+          <para>
+            is a Fast MPEG2 Transport Stream SI table parsing library
+          </para>
+          <indexterm zone="dvb-apps libucsi">
+            <primary sortas="c-libucsi">libucsi.so</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    </variablelist>
+  </sect2>
+</sect1>
Index: multimedia/videoutils/videoutils.xml
===================================================================
--- multimedia/videoutils/videoutils.xml	(revision 9f4cb5913b521ea09de8f25946cdbd2b03187896)
+++ multimedia/videoutils/videoutils.xml	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
@@ -23,9 +23,10 @@
   CODEC to install.</para>
 
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="dvb-apps.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ffmpeg.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="mplayer.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xine-ui.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="transcode.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="vlc.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xine-ui.xml"/>
 
 </chapter>
Index: multimedia/videoutils/xine-ui.xml
===================================================================
--- multimedia/videoutils/xine-ui.xml	(revision 9f4cb5913b521ea09de8f25946cdbd2b03187896)
+++ multimedia/videoutils/xine-ui.xml	(revision 0007bb793135f1d09e6e3c80116e5b152aed91ac)
@@ -146,6 +146,17 @@
       <filename>/usr/share/doc/xine-ui-&xine-ui-version;/README.config_en</filename>.</para>
 
+      <para>
+        If you have a DVB TV card and would like to use Xine to watch tv, use
+        <xref linkend="dvb-apps"/> to create /etc/channels.conf then make a
+        symbolic link to it in ~/.xine
+      </para>
+
+<screen><userinput>ln -sfv /etc/channels.conf ~/.xine/channels.conf</userinput></screen>
+
+      <para>
+        Then you can watch TV with the command <command>xine dvb://</command>
+        and change channel with the scroll wheel on your mouse
+      </para>
     </sect3>
-
   </sect2>
 