Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ introduction/welcome/changelog.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -45,4 +45,11 @@
       <para>February 9th, 2020</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to kf5apps-19.12.2.</para> 
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kf5-5.67.0. Fixes
+          <ulink url="&blfs-ticket-root;12882">#12882</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Adjust the build of libreoffice: remove obsolete switches,
Index: kde/kf5-apps/ark5.xml
===================================================================
--- kde/kf5-apps/ark5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/ark5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY ark5-download-http "&kf5apps-download-http;/ark-&kf5apps-version;.tar.xz">
   <!ENTITY ark5-download-ftp  " ">
-  <!ENTITY ark5-md5sum        "7229b67491b61dcec2fc210444099653">
+  <!ENTITY ark5-md5sum        "846944fc63eafe1abb7809bc858c3eb4">
   <!ENTITY ark5-size          "2.5 MB">
   <!ENTITY ark5-buildsize     "25 MB">
Index: kde/kf5-apps/gwenview.xml
===================================================================
--- kde/kf5-apps/gwenview.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/gwenview.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY gwenview5-download-http "&kf5apps-download-http;/gwenview-&kf5apps-version;.tar.xz">
   <!ENTITY gwenview5-download-ftp  " ">
-  <!ENTITY gwenview5-md5sum        "925dd075bdec3aaa61dfac125b7dd077">
+  <!ENTITY gwenview5-md5sum        "4997f3f0f5b50226d39c017547f90798">
   <!ENTITY gwenview5-size          "5.5 MB">
   <!ENTITY gwenview5-buildsize     "34 MB">
Index: kde/kf5-apps/k3b.xml
===================================================================
--- kde/kf5-apps/k3b.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/k3b.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,8 +7,8 @@
   <!ENTITY k3b-download-http "&kf5apps-download-http;/k3b-&kf5apps-version;.tar.xz">
   <!ENTITY k3b-download-ftp  " ">
-  <!ENTITY k3b-md5sum        "dfc0d0c89ed2f756b403f6018e3d7438">
+  <!ENTITY k3b-md5sum        "d4bcfefd89627fc7d126c6971ffa4052">
   <!ENTITY k3b-size          "10 MB">
-  <!ENTITY k3b-buildsize     "97 MB">
-  <!ENTITY k3b-time          "1.3 SBU (using parallelism=4)">
+  <!ENTITY k3b-buildsize     "98 MB">
+  <!ENTITY k3b-time          "1.4 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/kdenlive5.xml
===================================================================
--- kde/kf5-apps/kdenlive5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/kdenlive5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,8 +7,8 @@
   <!ENTITY kdenlive5-download-http "&kf5apps-download-http;/kdenlive-&kf5apps-version;.tar.xz">
   <!ENTITY kdenlive5-download-ftp  " ">
-  <!ENTITY kdenlive5-md5sum        "1d24264b2a20d8a14fa601c626f72a6d">
-  <!ENTITY kdenlive5-size          "12 MB">
-  <!ENTITY kdenlive5-buildsize     "369 MB">
-  <!ENTITY kdenlive5-time          "2.0 SBU (using parallelism=4)">
+  <!ENTITY kdenlive5-md5sum        "af209cd42bcca8f97656ce1b9bc2845f">
+  <!ENTITY kdenlive5-size          "11 MB">
+  <!ENTITY kdenlive5-buildsize     "368 MB">
+  <!ENTITY kdenlive5-time          "2.1 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5-apps/khelpcenter.xml
===================================================================
--- kde/kf5-apps/khelpcenter.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/khelpcenter.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY khelpcenter-download-http "&kf5apps-download-http;/khelpcenter-&kf5apps-version;.tar.xz">
   <!ENTITY khelpcenter-download-ftp  " ">
-  <!ENTITY khelpcenter-md5sum        "3d7a240b68d630baa244495c7720ebb8">
+  <!ENTITY khelpcenter-md5sum        "aa496e7457bbf472554b06dda45a6057">
   <!ENTITY khelpcenter-size          "3.7 MB">
   <!ENTITY khelpcenter-buildsize     "24 MB">
Index: kde/kf5-apps/kmix5.xml
===================================================================
--- kde/kf5-apps/kmix5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/kmix5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY kmix5-download-http "&kf5apps-download-http;/kmix-&kf5apps-version;.tar.xz">
   <!ENTITY kmix5-download-ftp  " ">
-  <!ENTITY kmix5-md5sum        "f5cb90fe0db16ef5be1028ce03cde0b9">
+  <!ENTITY kmix5-md5sum        "7e9a3910ec5a7afea41007969d8b318b">
   <!ENTITY kmix5-size          "984 KB">
   <!ENTITY kmix5-buildsize     "14 MB">
Index: kde/kf5-apps/konsole5.xml
===================================================================
--- kde/kf5-apps/konsole5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/konsole5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY konsole5-download-http "&kf5apps-download-http;/konsole-&kf5apps-version;.tar.xz">
   <!ENTITY konsole5-download-ftp  " ">
-  <!ENTITY konsole5-md5sum        "81c12c16135df39bdf42c895c77f27d0">
+  <!ENTITY konsole5-md5sum        "a606de5d802880448ff80290ff5ee83f">
   <!ENTITY konsole5-size          "1.1 MB">
   <!ENTITY konsole5-buildsize     "25 MB">
Index: kde/kf5-apps/libkcddb.xml
===================================================================
--- kde/kf5-apps/libkcddb.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/libkcddb.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,7 +7,7 @@
   <!ENTITY libkcddb-download-http "&kf5apps-download-http;/libkcddb-&kf5apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "038eb52232351a286c1a87619a593282">
+  <!ENTITY libkcddb-md5sum        "9e3e4a490b8c7c865103bbf87afee3b7">
   <!ENTITY libkcddb-size          "416 KB">
-  <!ENTITY libkcddb-buildsize     "8.4 MB">
+  <!ENTITY libkcddb-buildsize     "8.5 MB">
   <!ENTITY libkcddb-time          "0.4 SBU">
 ]>
Index: kde/kf5-apps/libkdcraw.xml
===================================================================
--- kde/kf5-apps/libkdcraw.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/libkdcraw.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY libkdcraw-download-http "&kf5apps-download-http;/libkdcraw-&kf5apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "841053c576dad5fcc26a931859fe0fd2">
+  <!ENTITY libkdcraw-md5sum        "0e5a36146f9fe10cd9c291b955ac6fca">
   <!ENTITY libkdcraw-size          "44 KB">
   <!ENTITY libkdcraw-buildsize     "1.2 MB">
Index: kde/kf5-apps/libkexiv2.xml
===================================================================
--- kde/kf5-apps/libkexiv2.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/libkexiv2.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY libkexiv2-download-http "&kf5apps-download-http;/libkexiv2-&kf5apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "d88d6716643376bd36110b8c7f283185">
+  <!ENTITY libkexiv2-md5sum        "57d519ea94d3cd29b4b97b178a8885a6">
   <!ENTITY libkexiv2-size          "64 KB">
   <!ENTITY libkexiv2-buildsize     "2.7 MB">
Index: kde/kf5-apps/okular5.xml
===================================================================
--- kde/kf5-apps/okular5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5-apps/okular5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,8 +7,8 @@
   <!ENTITY okular5-download-http "&kf5apps-download-http;/okular-&kf5apps-version;.tar.xz">
   <!ENTITY okular5-download-ftp  " ">
-  <!ENTITY okular5-md5sum        "b9ba8f9b680d18a35415352073fd1e6a">
-  <!ENTITY okular5-size          "6.7 MB">
-  <!ENTITY okular5-buildsize     "62 MB">
-  <!ENTITY okular5-time          "1.1 SBU (using parallelism=4)">
+  <!ENTITY okular5-md5sum        "fbabf5da9faa4ab507cf37ae426f23d3">
+  <!ENTITY okular5-size          "6.9 MB">
+  <!ENTITY okular5-buildsize     "63 MB">
+  <!ENTITY okular5-time          "1.2 SBU (using parallelism=4)">
 ]>
 
Index: kde/kf5/kf5-frameworks.xml
===================================================================
--- kde/kf5/kf5-frameworks.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ kde/kf5/kf5-frameworks.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -9,6 +9,6 @@
   <!ENTITY kf5-download-ftp  " ">
   <!ENTITY kf5-md5sum        "See Below">
-  <!ENTITY kf5-size          "262 MB">
-  <!ENTITY kf5-buildsize     "1.1 GB (236 MB installed)">
+  <!ENTITY kf5-size          "266 MB">
+  <!ENTITY kf5-buildsize     "1.1 GB (237 MB installed)">
   <!ENTITY kf5-time          "17 SBU (using parallelism=4)">
 ]>
@@ -182,85 +182,86 @@
 
 <screen><userinput>cat &gt; frameworks-&kf5-version;.md5 &lt;&lt; "EOF"
-<literal>04201c36ee67fc57179f4a646ca520e3  attica-5.64.0.tar.xz
-#ca705855a8d06ae606e0d646dbf327b0  extra-cmake-modules-5.64.0.tar.xz
-d2e7484e70045efce2ae03cbdb83e0ce  kapidox-5.64.0.tar.xz
-8f245b3ffc777368f7394cd06bb60b26  karchive-5.64.0.tar.xz
-cbc2f74150a910dc64f48a86cc2cf934  kcodecs-5.64.0.tar.xz
-b16792f6cee787209ba678081fd9cc1c  kconfig-5.64.0.tar.xz
-df043d47f24b6c983ed940cbe1af132b  kcoreaddons-5.64.0.tar.xz
-d7de1a2c0cd9c3308aee5c932573a3da  kdbusaddons-5.64.0.tar.xz
-974d79b965ebbee019f81b68e062aaec  kdnssd-5.64.0.tar.xz
-7dc0b622ddf3ed90c7c8135e29950080  kguiaddons-5.64.0.tar.xz
-374b0b8e7f4660f1e9159cc202e4d07e  ki18n-5.64.0.tar.xz
-7e47e4020a5bd7728d81f24b9eaaa2a9  kidletime-5.64.0.tar.xz
-9bedf2a73e4659ace5efd8415b8a10ea  kimageformats-5.64.0.tar.xz
-9f8ec9983c19c52b3bbce8e308725e7d  kitemmodels-5.64.0.tar.xz
-be56db58cd6537fe3a138f2b04fdf5c7  kitemviews-5.64.0.tar.xz
-3f405d8c3511d4049f5a93ea66dd0cc8  kplotting-5.64.0.tar.xz
-e3b457924fcaecb0073216c0899b1167  kwidgetsaddons-5.64.0.tar.xz
-1c3e335bf029d0da1f4f6b4f9342ae84  kwindowsystem-5.64.0.tar.xz
-44914f08bec33cc49ffeb886b13f6614  networkmanager-qt-5.64.0.tar.xz
-2d17cc9129b3bad594c0dd09e663caa9  solid-5.64.0.tar.xz
-cf7eedbf3fd395823e1cc90ce7321dcb  sonnet-5.64.0.tar.xz
-6f969f0a793d5a25c0bd09d3ad466fd9  threadweaver-5.64.0.tar.xz
-a94fc1e5fb09982808a3525f86492738  kauth-5.64.0.tar.xz
-53889e7526d0a4e389523545bccf1d88  kcompletion-5.64.0.tar.xz
-1110b19b78f7260d8b9a1aed4db21f09  kcrash-5.64.0.tar.xz
-c5016655913132cc5a30896b77aeeb73  kdoctools-5.64.0.tar.xz
-ac6bc187ab30a768777e00fe1eaa92bd  kpty-5.64.0.tar.xz
-56b729998529c57f6dc6f8d4f1423fa9  kunitconversion-5.64.0.tar.xz
-03518a7021c0af253ece25728f9ac25a  kconfigwidgets-5.64.0.tar.xz
-2a3d3efa102078fafca0d34180137289  kservice-5.64.0.tar.xz
-2e672c2bc14716b988e224b81772b569  kglobalaccel-5.64.0.tar.xz
-02ac3300212b7426487e583ff0fec836  kpackage-5.64.0.tar.xz
-5202294263f7b68c775b597095b2ccc4  kdesu-5.64.0.tar.xz
-059f219e4b425bd18fbc0f5236eea29b  kemoticons-5.64.0.tar.xz
-a72399f496b3813277e69477a56b98e8  kiconthemes-5.64.0.tar.xz
-a5cc3b4abb1b7986f99d3977c00afd16  kjobwidgets-5.64.0.tar.xz
-a78af6ba485f56bbbbf222e6b61aedb8  knotifications-5.64.0.tar.xz
-914b35abd57934eec7abb8287d6f540a  ktextwidgets-5.64.0.tar.xz
-ec74e7698e3f0f34facc0a189373b977  kxmlgui-5.64.0.tar.xz
-3f8fc9273ab02e29b747ccd993f6f82d  kbookmarks-5.64.0.tar.xz
-053848f2f12241de152c6b38623eb3c4  kwallet-5.64.0.tar.xz
-bae95a766a2cec6dd7c9fa8f89aca9d2  kio-5.64.0.tar.xz
-ab5a0303bcd8db7e4e9fb212103370fd  kdeclarative-5.64.0.tar.xz
-8c408da1f427b049b742821b72f4bee5  kcmutils-5.64.0.tar.xz
-de169a608b5af73f8253c6efd1fa07f1  kirigami2-5.64.0.tar.xz
-5dce1312633d8e350280dbbdeea79772  knewstuff-5.64.0.tar.xz
-20b263e99dd12f82e5cacdf0a8d5699e  frameworkintegration-5.64.0.tar.xz
-f88eeb2e12a9ad23434e29046fe4fbc6  kinit-5.64.0.tar.xz
-a17509998a3b61b1fd0732b45ad34389  knotifyconfig-5.64.0.tar.xz
-d6f776cfe357c4f4387cc7df1e8dc82a  kparts-5.64.0.tar.xz
-cad4b226ed9da8182db5c97d1cdbe45f  kactivities-5.64.0.tar.xz
-6c59a0edae857dd261d724838193995d  kded-5.64.0.tar.xz
-#1b009daa18a4d5dcea44a06a3cf565e3  kdewebkit-5.64.0.tar.xz
-4266efccbf1500c4375b270e013060fd  syntax-highlighting-5.64.0.tar.xz
-4b23b94d0f38d293b5c043bed8455451  ktexteditor-5.64.0.tar.xz
-adbc56e452dca4a6c00ca70157d7d21d  kdesignerplugin-5.64.0.tar.xz
-a6015cc5f0ebc88926e5de857c53572f  kwayland-5.64.0.tar.xz
-da6a56cec4cda081a2f7b96a00adb02c  plasma-framework-5.64.0.tar.xz
-#87e9399e34c1dafaf644d0a582016007  modemmanager-qt-5.64.0.tar.xz
-c7329c21975ebe1d51e7d586adb931c8  kpeople-5.64.0.tar.xz
-49dce029316e248018f7f63476a48203  kxmlrpcclient-5.64.0.tar.xz
-30eb0e3a1eee677126ef34e888cf8aca  bluez-qt-5.64.0.tar.xz
-b1e29c0c619b1018be697e899ff38dbf  kfilemetadata-5.64.0.tar.xz
-a799d7e2b91840e34283725daba08f0c  baloo-5.64.0.tar.xz
-#ecba20d51471d9cf6a76085d9f286905  breeze-icons-5.64.0.tar.xz
-#2f6b2f619a737db9daf254b8bc91bb62  oxygen-icons5-5.64.0.tar.xz
-39b04723e83a630dc845d0116d3ff127  kactivities-stats-5.64.0.tar.xz
-329ea65e41c5d6e42fa69df0248404bf  krunner-5.64.0.tar.xz
-#7c372e723a3cb713cbad3c0880157a0b  prison-5.64.0.tar.xz
-a59fe759407bbf748f512e3e54236ac6  qqc2-desktop-style-5.64.0.tar.xz
-616235430c5a93e70b235b3034e93650  kjs-5.64.0.tar.xz
-bdad864bae23a0ec63ba0d89b4c186bf  kdelibs4support-5.64.0.tar.xz
-3346439fb5d89c8cf73b606bdbd586a5  khtml-5.64.0.tar.xz
-c6a3bcfb93bacdd2f042d731c8a3532d  kjsembed-5.64.0.tar.xz
-4428adcff009b4b28fc75bfe8d17b2c5  kmediaplayer-5.64.0.tar.xz
-75d4e6f1e5cc0d84ec6e89f9bda698c7  kross-5.64.0.tar.xz
-8945bfcb4aa7d17cee36e7a5cfb9d5b8  kholidays-5.64.0.tar.xz
-171824ce4bdaa06dc39de08bba266d27  purpose-5.64.0.tar.xz
-61fe5e1da6dd470fe9385f52f217df2b  syndication-5.64.0.tar.xz
-317e43aaabd64bbe60910aee9aec5d45  kcalendarcore-5.64.0.tar.xz
-c1fbdda16f5bde8ec80e95d72e941c42  kcontacts-5.64.0.tar.xz</literal>
+<literal>d3b975029a5b53673ea6503a2d5ae177  attica-5.67.0.tar.xz
+#f59f70433adc17145b6ce2e8ab0c416d  extra-cmake-modules-5.67.0.tar.xz
+d2b51d5f9a5e31ca870df0c48e4960e9  kapidox-5.67.0.tar.xz
+ca01da6d4bedb8fbe9b99600f8f45ed2  karchive-5.67.0.tar.xz
+080f45c31980d514774161d1b4a30ff8  kcodecs-5.67.0.tar.xz
+3a40f76617827bff8e0c99b93be01fc1  kconfig-5.67.0.tar.xz
+5c35270ed01148af9038e62350e51e32  kcoreaddons-5.67.0.tar.xz
+818dbca1b3536e931aed3f6a4fb9d955  kdbusaddons-5.67.0.tar.xz
+11c8c768748b562b928754d596b0aec6  kdnssd-5.67.0.tar.xz
+96b919dfe2aedb0a5747b64216c95fff  kguiaddons-5.67.0.tar.xz
+e6a5226f42a3cc444938fb80a7463ab4  ki18n-5.67.0.tar.xz
+8049864248f5ab73af529140a10b0386  kidletime-5.67.0.tar.xz
+3d17d70e54a82063c032ee9efee45874  kimageformats-5.67.0.tar.xz
+588eba3b0ff5768e5aeda6dd0dcdfc29  kitemmodels-5.67.0.tar.xz
+76990691b3c57e9c02c5da55144764a4  kitemviews-5.67.0.tar.xz
+3242e4364f2f21980f208c1685019fd0  kplotting-5.67.0.tar.xz
+9616a12c63a1c65562e7f5b5fcb29e07  kwidgetsaddons-5.67.0.tar.xz
+b1d0b95573ff7cfe1ff4d468e7f9fed6  kwindowsystem-5.67.0.tar.xz
+00b66a3798bf1abb074b4147ee0e5b7c  networkmanager-qt-5.67.0.tar.xz
+0598657737a55b535d4bb0dbb9bba889  solid-5.67.0.tar.xz
+37f09137396721abad617571464b9d9a  sonnet-5.67.0.tar.xz
+8ee447185a4e603cc409ee4218cee195  threadweaver-5.67.0.tar.xz
+8677547f35f4d4720d41325fbd3a6336  kauth-5.67.0.tar.xz
+eb09a60dd4b5753e2aeaa8087efa4bb4  kcompletion-5.67.0.tar.xz
+bfaeba1fad5c8440e37f145b011cf03e  kcrash-5.67.0.tar.xz
+6f9879d824b265096b8384ab5061ccca  kdoctools-5.67.0.tar.xz
+4add397011f28a5a08c363f0a5d2ad60  kpty-5.67.0.tar.xz
+dc0bf58b6239d93e8d65b6a635256fd1  kunitconversion-5.67.0.tar.xz
+f00cf13031ae84283c16b56c400a51f7  kconfigwidgets-5.67.0.tar.xz
+290466bdeddfc2c04c5a872a773d974d  kservice-5.67.0.tar.xz
+b688a1639bc9497fb3787f9d93950bda  kglobalaccel-5.67.0.tar.xz
+6bf9110d2c3746fdf0c70cc8451c3596  kpackage-5.67.0.tar.xz
+a4d9df054c4f7d4672be9f12596d877e  kdesu-5.67.0.tar.xz
+6a806ed9f1854c24dcaf653c7f91511e  kemoticons-5.67.0.tar.xz
+fd90eda4d83598fefb87db83463cca1f  kiconthemes-5.67.0.tar.xz
+3a8533dcb22764c9f80eb9957d530170  kjobwidgets-5.67.0.tar.xz
+37d8e17a44cca54f8e937bd1b80231d3  knotifications-5.67.0.tar.xz
+fe7fefbc23ca7eef85f95cbc54f193b3  ktextwidgets-5.67.0.tar.xz
+4565a3d1f277653e41310a3ae26dcc1e  kxmlgui-5.67.0.tar.xz
+1236b6fd559c9ac85e5c7d82fe5bbb02  kbookmarks-5.67.0.tar.xz
+895e560a0b748dbb007ff45ec71ce85d  kwallet-5.67.0.tar.xz
+b3cd883d9892f47dfbb7b2c29be0ff1b  kio-5.67.0.tar.xz
+5f491d1b51cbafefff0d502c2818a1c9  kdeclarative-5.67.0.tar.xz
+3fd40a72390912440c06289b5a17faa8  kcmutils-5.67.0.tar.xz
+f9077200aa86833705a7f4250d61c0e6  kirigami2-5.67.0.tar.xz
+0033e888f61c2f257e6e6f4a2011a976  knewstuff-5.67.0.tar.xz
+6dc5c1e55e8ca4cc19e6faa8719b9cc4  frameworkintegration-5.67.0.tar.xz
+646771a2d35f1af7c5d0f4cfb3f80179  kinit-5.67.0.tar.xz
+6e43a6a6cf0a60eb8f31269834795fc4  knotifyconfig-5.67.0.tar.xz
+cc3125f7ae87b52e62571040749a4732  kparts-5.67.0.tar.xz
+37a1c1995cd80c8c5d53de70f9fe61ed  kactivities-5.67.0.tar.xz
+5857f91c556d03fa6178ddc7d2d6a3dd  kded-5.67.0.tar.xz
+#a447900424cd04dbaf49e8bf9617f6dc  kdewebkit-5.67.0.tar.xz
+91319edc9d27393df6812d60f1505b99  syntax-highlighting-5.67.0.tar.xz
+de9f38ec3ad76a5f19b4fc665dee5b82  ktexteditor-5.67.0.tar.xz
+923482f22930286d7f99af334c3a2181  kdesignerplugin-5.67.0.tar.xz
+5141cdc1fcd46d43ac0043c10112be2b  kwayland-5.67.0.tar.xz
+5203954a541766bd0def96fe2ddc1d05  plasma-framework-5.67.0.tar.xz
+#f7b27e1fb53fbf7ccc3fabb3469b2ac3  modemmanager-qt-5.67.0.tar.xz
+aa74dc95497e27a322668df02c21ba6f  kpeople-5.67.0.tar.xz
+604ee822d3c31c025ea90a64692db277  kxmlrpcclient-5.67.0.tar.xz
+4bf38a4919ea975deb71197c57a8edf0  bluez-qt-5.67.0.tar.xz
+6fa27bb4fb5e3a08bc58b6d67e4ca396  kfilemetadata-5.67.0.tar.xz
+05d339861c1b9082dc7b8f4822167954  baloo-5.67.0.tar.xz
+#18d27b2f7d443a6e7e4fdc41a3fb9ae4  breeze-icons-5.67.0.tar.xz
+#4d74544c61cb1db49a6b10da6835ec88  oxygen-icons5-5.67.0.tar.xz
+b89c11f239048e4d65b4781fbc660a41  kactivities-stats-5.67.0.tar.xz
+9da490e8e8ccfed43206d18a176019f8  krunner-5.67.0.tar.xz
+#181d901dbda09ee7d26fd234eef56ed4  prison-5.67.0.tar.xz
+46b9c80d3ef84a26803d47fc57426158  qqc2-desktop-style-5.67.0.tar.xz
+b8352b2a459df37ac5fc8b5be5674d08  kjs-5.67.0.tar.xz
+aa5d6287fdae772c72ac15bb56315e53  kdelibs4support-5.67.0.tar.xz
+8c4ec0e9a3ac90622c64ecc0e3329d91  khtml-5.67.0.tar.xz
+10163d7d799db8cc90afcb7f2acb89d8  kjsembed-5.67.0.tar.xz
+88c78b268916199328c381de5d65020b  kmediaplayer-5.67.0.tar.xz
+46ded68727de15c4d66ce29b4bb15831  kross-5.67.0.tar.xz
+3d1831377c10ca2f90a5edd133501f84  kholidays-5.67.0.tar.xz
+4039367834bc9039a84261b5a8d9912c  purpose-5.67.0.tar.xz
+59240be3b390227198e8d94f5ae87fe8  syndication-5.67.0.tar.xz
+91aadb3a165ac2ec1f5ab01f523bdeed  kcalendarcore-5.67.0.tar.xz
+a8f99a97898c0489577204f219c7a5a3  kcontacts-5.67.0.tar.xz
+b07cef12653a85091fadd25260942cf6  kquickcharts-5.67.0.tar.xz</literal>
 EOF</userinput></screen>
 
Index: multimedia/audioutils/kwave.xml
===================================================================
--- multimedia/audioutils/kwave.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ multimedia/audioutils/kwave.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY kwave-download-http "&kf5apps-download-http;/kwave-&kf5apps-version;.tar.xz">
   <!ENTITY kwave-download-ftp  " ">
-  <!ENTITY kwave-md5sum        "deb593947ca90bc2deab8ab3d3d5a487">
+  <!ENTITY kwave-md5sum        "fad4772ce1ca9b85541424746a1fcd6d">
   <!ENTITY kwave-size          "5.9 MB">
   <!ENTITY kwave-buildsize     "56 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ packages.ent	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -765,10 +765,10 @@
 
 <!-- KF5 and Plasma -->
-<!ENTITY kf5-version           "5.64.0">
-<!ENTITY kf5-short-version     "5.64">
-<!ENTITY kf5-base              "5.64">
+<!ENTITY kf5-version           "5.67.0">
+<!ENTITY kf5-short-version     "5.67">
+<!ENTITY kf5-base              "5.67">
 <!ENTITY kf5-download-http     "http://download.kde.org/stable/frameworks/&kf5-base;">
 
-<!ENTITY kf5apps-version       "19.08.3">
+<!ENTITY kf5apps-version       "19.12.2">
 <!ENTITY kf5apps-download-http "http://download.kde.org/stable/applications/&kf5apps-version;/src">
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
Index: postlfs/editors/kate5.xml
===================================================================
--- postlfs/editors/kate5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ postlfs/editors/kate5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -6,8 +6,8 @@
   <!ENTITY kate5-download-http "&kf5apps-download-http;/kate-&kf5apps-version;.tar.xz">
   <!ENTITY kate5-download-ftp  " ">
-  <!ENTITY kate5-md5sum        "a8a14bf2a8590b1d8f38b565881d71ba">
-  <!ENTITY kate5-size          "5.6 MB">
-  <!ENTITY kate5-buildsize     "72 MB">
-  <!ENTITY kate5-time          "1.4 SBU (using parallelism=4)">
+  <!ENTITY kate5-md5sum        "2761e99c2e701ba98d38280bd1b9b601">
+  <!ENTITY kate5-size          "5.5 MB">
+  <!ENTITY kate5-buildsize     "74 MB">
+  <!ENTITY kate5-time          "1.1 SBU (using parallelism=4)">
 ]>
 
Index: x/icons/breeze-icons.xml
===================================================================
--- x/icons/breeze-icons.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ x/icons/breeze-icons.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,5 +7,5 @@
   <!ENTITY breeze-icons-download-http "&kf5-download-http;/breeze-icons-&kf5-version;.tar.xz">
   <!ENTITY breeze-icons-download-ftp  " ">
-  <!ENTITY breeze-icons-md5sum        "ecba20d51471d9cf6a76085d9f286905">
+  <!ENTITY breeze-icons-md5sum        "18d27b2f7d443a6e7e4fdc41a3fb9ae4">
   <!ENTITY breeze-icons-size          "2.6 MB">
   <!ENTITY breeze-icons-buildsize     "239 MB">
Index: x/icons/oxygen-icons5.xml
===================================================================
--- x/icons/oxygen-icons5.xml	(revision dd4c31766023766e5ad746a3686e82df86a1702a)
+++ x/icons/oxygen-icons5.xml	(revision 8c2ae8905e4285f7828968465b4cf16bab02ad38)
@@ -7,6 +7,6 @@
   <!ENTITY oxygen-icons5-download-http "&kf5-download-http;/oxygen-icons5-&kf5-version;.tar.xz">
   <!ENTITY oxygen-icons5-download-ftp  " ">
-  <!ENTITY oxygen-icons5-md5sum        "2f6b2f619a737db9daf254b8bc91bb62">
-  <!ENTITY oxygen-icons5-size          "223 MB">
+  <!ENTITY oxygen-icons5-md5sum        "4d74544c61cb1db49a6b10da6835ec88">
+  <!ENTITY oxygen-icons5-size          "227 MB">
   <!ENTITY oxygen-icons5-buildsize     "443 MB">
   <!ENTITY oxygen-icons5-time          "less than 0.1 SBU">